From 2ec14632c091bcb459b83b953f465a96c5030ff9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 04 2020 07:53:12 +0000
Subject: [PATCH 528/2232] Be consistent about certain variable names always meaning a reference


---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 58a78b1..c7b3c3c 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -44,11 +44,11 @@ fn generate(path: &Path, opt: Opt, header: bool) -> Vec<u8> {
         proc_macro2::fallback::force();
         let syntax = syn::parse_file(&source)?;
         let bridge = find_bridge_mod(syntax)?;
-        let namespace = bridge.namespace;
-        let apis = syntax::parse_items(bridge.module)?;
-        let types = Types::collect(&apis)?;
-        check::typecheck(&namespace, &apis, &types)?;
-        let out = write::gen(namespace, &apis, &types, opt, header);
+        let ref namespace = bridge.namespace;
+        let ref apis = syntax::parse_items(bridge.module)?;
+        let ref types = Types::collect(apis)?;
+        check::typecheck(namespace, apis, types)?;
+        let out = write::gen(namespace, apis, types, opt, header);
         Ok(out)
     })() {
         Ok(out) => out.content(),
diff --git a/gen/src/write.rs b/gen/src/write.rs
index e227ce1..8ce3813 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -8,7 +8,7 @@ use proc_macro2::Ident;
 use std::collections::HashMap;
 
 pub(super) fn gen(
-    namespace: Namespace,
+    namespace: &Namespace,
     apis: &[Api],
     types: &Types,
     opt: Opt,
@@ -32,7 +32,7 @@ pub(super) fn gen(
     write_include_cxxbridge(out, apis, types);
 
     out.next_section();
-    for name in &namespace {
+    for name in namespace {
         writeln!(out, "namespace {} {{", name);
     }
 
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 19cde4f..737c389 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -14,14 +14,14 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
         Span::call_site(),
         "#[cxx::bridge] module must have inline contents",
     ))?;
-    let apis = syntax::parse_items(content.1)?;
-    let ref types = Types::collect(&apis)?;
-    check::typecheck(namespace, &apis, types)?;
+    let ref apis = syntax::parse_items(content.1)?;
+    let ref types = Types::collect(apis)?;
+    check::typecheck(namespace, apis, types)?;
 
     let mut expanded = TokenStream::new();
     let mut hidden = TokenStream::new();
 
-    for api in &apis {
+    for api in apis {
         if let Api::RustType(ety) = api {
             expanded.extend(expand_rust_type(ety));
             let ident = &ety.ident;
@@ -32,7 +32,7 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
         }
     }
 
-    for api in &apis {
+    for api in apis {
         match api {
             Api::Include(_) | Api::RustType(_) => {}
             Api::Struct(strct) => expanded.extend(expand_struct(strct)),

